GET restapi/personal/learningrecordstore/partners/{partnerId}/v1

Request Information

URI Parameters

NameDescriptionTypeAdditional information
partnerId

integer

Required

Body Parameters

None.

Response Information

Resource Description

Itslearning.RestApi.Entities.LearningRecordStore.PartnerExtendedModel
NameDescriptionTypeAdditional information
Organisations

Gets or sets notes about the partner.

Collection of Itslearning.RestApi.Entities.LearningRecordStore.OrganisationModel

None.

Secrets

Keys for the partner. A partner can have multiple keys.

Collection of Itslearning.RestApi.Entities.LearningRecordStore.LearningRecordStoreSecretModel

None.

LearningRecordStorePartnerId

Gets or sets the LRS Partner ID.

integer

None.

Name

Gets or sets the name of the partner.

string

None.

ContactPerson

Gets or sets the contact person name.

string

None.

ContactEmail

Gets or sets the contact person email.

string

None.

ContactPhoneNumber

Gets or sets the contact phone number.

string

None.

Notes

Gets or sets notes about the partner.

string

None.

ClientKey

The client key for the partner.

string

None.

Created

Date the partner was created. Local time string

date

None.

CreatedString

Date the partner was created. Local time string

string

None.

Response Formats

application/json, text/json

Sample:
{
  "organisations": [
    {
      "organisationId": 1,
      "name": "sample string 2",
      "type": "sample string 3"
    },
    {
      "organisationId": 1,
      "name": "sample string 2",
      "type": "sample string 3"
    }
  ],
  "secrets": [
    {
      "secretId": 1,
      "secret": "sample string 2",
      "activationDate": "sample string 3",
      "createdDate": "sample string 4",
      "secretStatus": "sample string 5",
      "isExpired": true
    },
    {
      "secretId": 1,
      "secret": "sample string 2",
      "activationDate": "sample string 3",
      "createdDate": "sample string 4",
      "secretStatus": "sample string 5",
      "isExpired": true
    }
  ],
  "learningRecordStorePartnerId": 1,
  "name": "sample string 2",
  "contactPerson": "sample string 3",
  "contactEmail": "sample string 4",
  "contactPhoneNumber": "sample string 5",
  "notes": "sample string 6",
  "clientKey": "sample string 7",
  "created": "2026-05-13T09:26:05Z",
  "createdString": "sample string 9"
}

application/xml, text/xml

Sample:
<PartnerExtendedModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
  <ClientKey>sample string 7</ClientKey>
  <ContactEmail>sample string 4</ContactEmail>
  <ContactPerson>sample string 3</ContactPerson>
  <ContactPhoneNumber>sample string 5</ContactPhoneNumber>
  <Created>2026-05-13T09:26:05Z</Created>
  <CreatedString>sample string 9</CreatedString>
  <LearningRecordStorePartnerId>1</LearningRecordStorePartnerId>
  <Name>sample string 2</Name>
  <Notes>sample string 6</Notes>
  <Organisations>
    <OrganisationModel>
      <Name>sample string 2</Name>
      <OrganisationId>1</OrganisationId>
      <Type>sample string 3</Type>
    </OrganisationModel>
    <OrganisationModel>
      <Name>sample string 2</Name>
      <OrganisationId>1</OrganisationId>
      <Type>sample string 3</Type>
    </OrganisationModel>
  </Organisations>
  <Secrets>
    <LearningRecordStoreSecretModel>
      <ActivationDate>sample string 3</ActivationDate>
      <CreatedDate>sample string 4</CreatedDate>
      <IsExpired>true</IsExpired>
      <Secret>sample string 2</Secret>
      <SecretId>1</SecretId>
      <SecretStatus>sample string 5</SecretStatus>
    </LearningRecordStoreSecretModel>
    <LearningRecordStoreSecretModel>
      <ActivationDate>sample string 3</ActivationDate>
      <CreatedDate>sample string 4</CreatedDate>
      <IsExpired>true</IsExpired>
      <Secret>sample string 2</Secret>
      <SecretId>1</SecretId>
      <SecretStatus>sample string 5</SecretStatus>
    </LearningRecordStoreSecretModel>
  </Secrets>
</PartnerExtendedModel>